Subject: Re: Implementing stat() with FindFirstFile()

From: Johannes Sixt <[email-masked]>
Date: Thu, 26 Mar 2009 08:15:49 +0100

Magnus Bäck schrieb:
> From what I gather the problematic conversion takes place in the Win32
> layer, in which case we might be able to call the ZwQueryDirectoryFile()
> kernel routine directly via ntdll.dll to obtain the file times straight
> from the file system. Has anyone explored that path, and would it be
> acceptable to make such a change?

It depends.

The disadvantages are that this function is only available on Windows XP
and later and that it is not present in the header files of MinGW gcc.
It's on you to prove that there are advantages that clearly outweigh these
disadvantages.

-- Hannes